package com.community.huiju.model;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;

public class TpEquipment {
    private Integer id;

    private Integer urlId;

    private Integer communityId;

    private Integer securityGuardTelId;

    private Integer securityRoomTelId;

    private Integer addressId;

    private Date createTime;

    private Integer createUser;

    private Date updateTime;

    private Integer updateUser;

    private Integer uuidId;

    private String equipmentType;

    private Integer equipmentTreeId;

    /**
     * 这个值不返回给客户端
     */
    @JSONField(serialize = false)
    private String appkey;

    /**
     * 这个值不返回给客户端
     */
    @JSONField(serialize = false)
    private String secret;

    /**
     * 这个值不返回给客户端
     */
    @JSONField(serialize = false)
    private String opUserUuid;

    /**
     * 这个值不返回给客户端
     */
    @JSONField(serialize = false)
    private String httpServer;

    /**
     * 这个值不返回给客户端
     */
    @JSONField(serialize = false)
    private String unitUuids;
    // ====================================

    /**
     * 监控url
     */
    private String monitoringUrl;

    /**
     * 保卫人员电话
     */
    private String securityGuardTel;

    /**
     * 安保室电话
     */
    private String securityRoomTel;

    /**
     * 监控地址
     */
    private String monitoringAddress;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUrlId() {
        return urlId;
    }

    public void setUrlId(Integer urlId) {
        this.urlId = urlId;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getSecurityGuardTelId() {
        return securityGuardTelId;
    }

    public void setSecurityGuardTelId(Integer securityGuardTelId) {
        this.securityGuardTelId = securityGuardTelId;
    }

    public Integer getSecurityRoomTelId() {
        return securityRoomTelId;
    }

    public void setSecurityRoomTelId(Integer securityRoomTelId) {
        this.securityRoomTelId = securityRoomTelId;
    }

    public Integer getAddressId() {
        return addressId;
    }

    public void setAddressId(Integer addressId) {
        this.addressId = addressId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getUuidId() {
        return uuidId;
    }

    public void setUuidId(Integer uuidId) {
        this.uuidId = uuidId;
    }

    public String getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    public Integer getEquipmentTreeId() {
        return equipmentTreeId;
    }

    public void setEquipmentTreeId(Integer equipmentTreeId) {
        this.equipmentTreeId = equipmentTreeId;
    }

    public String getMonitoringUrl() {
        return monitoringUrl;
    }

    public void setMonitoringUrl(String monitoringUrl) {
        this.monitoringUrl = monitoringUrl;
    }

    public String getSecurityGuardTel() {
        return securityGuardTel;
    }

    public void setSecurityGuardTel(String securityGuardTel) {
        this.securityGuardTel = securityGuardTel;
    }

    public String getSecurityRoomTel() {
        return securityRoomTel;
    }

    public void setSecurityRoomTel(String securityRoomTel) {
        this.securityRoomTel = securityRoomTel;
    }

    public String getMonitoringAddress() {
        return monitoringAddress;
    }

    public void setMonitoringAddress(String monitoringAddress) {
        this.monitoringAddress = monitoringAddress;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getOpUserUuid() {
        return opUserUuid;
    }

    public void setOpUserUuid(String opUserUuid) {
        this.opUserUuid = opUserUuid;
    }

    public String getHttpServer() {
        return httpServer;
    }

    public void setHttpServer(String httpServer) {
        this.httpServer = httpServer;
    }

    public String getUnitUuids() {
        return unitUuids;
    }

    public void setUnitUuids(String unitUuids) {
        this.unitUuids = unitUuids;
    }
}